﻿using igHierarchicalGrid_Updating.Models;
using System.Collections.Generic;
using System.Linq;
using System.Web.Mvc;
using Infragistics.Web.Mvc;


namespace igHierarchicalGrid_Updating.Controllers
{
    public class HomeController : Controller
    {
        //
        // GET: /Home/

        public ActionResult Index()
        {

            GridDataModel model = new GridDataModel();

            return View(model);
        }

        [GridDataSourceAction]
        [ActionName("editing-dataset")]
        public ActionResult DataSetMvcHelper()
        {
            var categoriesProducts = GetData();
            return View("Index", categoriesProducts.AsQueryable());
        }


        [ActionName("EditingSaveChanges")]
        public ActionResult EditingSaveChanges()
        {
            JsonResult result = new JsonResult();
            Dictionary<string, bool> response = new Dictionary<string, bool>();
            response.Add("Success", true);
            result.Data = response;
            return result;

        }

        private List<Category> GetData()
        {
            List<Category> cat = new List<Category>();

            for (int i = 0; i < 20; i++)
            {
                List<Product> prods = new List<Product>();
                for (int j = 0; j < 20; j++)
                {
                    prods.Add(new Product() { ID = j, ProductName = "Prod Name" + j, UnitPrice = i, UnitsInStock = i });
                }

                cat.Add(new Category() { ID = i, CategoryName = "Name" + i, Description = "Desc", Products = prods });
            }
            return cat;
        }


    }
}
